Minion API
Minion Job Queue APIs.
For a given Minion job ID, check whether it succeeded or failed. Minion jobs are ran for various occasions like thumbnails, cache warmup and handling incoming files. For some jobs, you can check the notes field for progress information. Look at https://docs.mojolicious.org/Minion/Guide#Job-progress for more information.
ID of the Job to query status for.
Job status data
Arbitrary data attached to the Job.
GET /api/minion/{jobid} HTTP/1.1
Host: lrr.tvc-16.science
Accept: */*
Job status data
{
"state": "finished",
"task": "handle_upload",
"notes": {
"example_note": "This note could contain the name of the upload, for example."
},
"error": null
}Get the status of a Minion Job. This API is there for internal usage mostly, but you can use it to get detailed status for jobs like plugin runs or URL downloads.
Use Authorization: Bearer <base64(api_key)>
Job detail
{"args":["/tmp/QF3UCnKdMr/myfile.zip"],"attempts":1,"children":[],"created":1601145004,"delayed":1601145004,"expires":null,"finished":1601145004,"id":7,"lax":0,"notes":{},"parents":[],"priority":0,"queue":"default","result":{"id":"75d18ce470dc99f83dc355bdad66319d1f33c82b","message":"This file already exists in the Library.","success":0},"retried":null,"retries":0,"started":1601145004,"state":"finished","task":"handle_upload","time":1601145005,"worker":1}GET /api/minion/{jobid}/detail HTTP/1.1
Host: lrr.tvc-16.science
Authorization: YOUR_API_KEY
Accept: */*
Job detail
{
"args": [
"/tmp/QF3UCnKdMr/myfile.zip"
],
"attempts": 1,
"children": [],
"created": 1601145004,
"delayed": 1601145004,
"expires": null,
"finished": 1601145004,
"id": 7,
"lax": 0,
"notes": {},
"parents": [],
"priority": 0,
"queue": "default",
"result": {
"id": "75d18ce470dc99f83dc355bdad66319d1f33c82b",
"message": "This file already exists in the Library.",
"success": 0
},
"retried": null,
"retries": 0,
"started": 1601145004,
"state": "finished",
"task": "handle_upload",
"time": 1601145005,
"worker": 1
}Queue a Job with the specified type and parameters. See LANraragi::Utils::Minion for all the available types of jobs and the parameters they require.
There's no API contract in place for whether a Job type exists on a given server version, so I wouldn't recommend using this unless you have a good reason to.
Use Authorization: Bearer <base64(api_key)>
Type of the job to instantiate.
Arguments as a JSON array string
Priority of the Minion job. The higher the number, the more important the job is.
0Enqueued job
JSON object for a queued Minion job.
Minion job ID
Name of operation
Returns 1 if operation was successful, else 0
POST /api/minion/{jobname}/queue?args=text HTTP/1.1
Host: lrr.tvc-16.science
Authorization: YOUR_API_KEY
Accept: */*
Enqueued job
{
"job": 1,
"operation": "text",
"success": 1
}Last updated